#pragma once

class CNetwork : public IBaseCurl
{
public:
	CNetwork();
	~CNetwork(void);

 

	HTTPRET GetHttpConnectstatus();
	LPCSTR  GetLastErrorA();
 

private:
	std::string GetUrl(std::string path,std::unordered_map<std::string, std::string> parame);
	std::string PostUrl(std::string path,std::unordered_map<std::string, std::string> parame, std::string data);
	void Init();
	void UnInit();
private:

	std::vector<std::string> vectorBaseurl;

	std::unordered_map<std::string, std::string> keymap;

	std::string m_error_msg;

	HTTPRET m_http_ret;

	int m_http_status;

};

